#include <MD_Parola.h>
#include <MD_MAX72xx.h>
#include <SPI.h>
#define HARDWARE_TYPE MD_MAX72XX::FC16_HW
#define MAX_DEVICES 4
#define CS_PIN 10
int n = 0;
textEffect_t texteffect[] =
{
  PA_NO_EFFECT , PA_PRINT , PA_SCROLL_UP , PA_SCROLL_DOWN ,
  PA_SCROLL_LEFT , PA_SCROLL_RIGHT , PA_SPRITE , PA_SLICE ,
  PA_MESH , PA_FADE , PA_DISSOLVE , PA_BLINDS ,
  PA_RANDOM , PA_WIPE , PA_WIPE_CURSOR , PA_SCAN_HORIZ ,
  PA_SCAN_HORIZX , PA_SCAN_VERT , PA_SCAN_VERTX , PA_OPENING ,
  PA_OPENING_CURSOR , PA_CLOSING , PA_CLOSING_CURSOR , PA_SCROLL_UP_LEFT ,
  PA_SCROLL_UP_RIGHT , PA_SCROLL_DOWN_LEFT , PA_SCROLL_DOWN_RIGHT , PA_GROW_UP ,
  PA_GROW_DOWN
};
MD_Parola myMatrix = MD_Parola(HARDWARE_TYPE, CS_PIN, MAX_DEVICES);
void setup() {
  myMatrix.begin();
  myMatrix.setIntensity(0);
  myMatrix.setTextAlignment(PA_CENTER);
  myMatrix.setPause(1500);
  myMatrix.setSpeed(110);
  myMatrix.displayClear();
}
void loop() {
  if (myMatrix.displayAnimate()) {
    if (n < sizeof(texteffect)) {
      n++;
    }
    else {
      n = 0;
    }
    myMatrix.displayText("Heise+", myMatrix.getTextAlignment(), myMatrix.getSpeed(), myMatrix.getPause(), texteffect[n], texteffect[n]);
    myMatrix.displayReset();
  }
}